### musixtex installation script
### -- Zdenek Pytela, 1999.08.04

#set -x

# Set the variables
TEXMF=$PREFIX/usr/share/texmf
MUSIXMFDIR=$TEXMF/fonts/source/public/musixtex
MUSIXTFMDIR=$TEXMF/fonts/tfm/public/musixtex
MUSIXTEXDIR=$TEXMF/tex/generic/musixtex
FMTDIR=$TEXMF/web2c
MUSIXDOCDIR=$TEXMF/doc/musixtex
mkdir -p $MUSIXMFDIR $MUSIXTEXDIR $MUSIXDOCDIR $MUSIXTFMDIR $FMTDIR
cp mf/*.mf $MUSIXMFDIR
cp tfm/*.tfm $MUSIXTFMDIR
cp tex/*.tex $MUSIXTEXDIR
cp tex/*.sty $MUSIXTEXDIR
cp doc/* $MUSIXDOCDIR

# plain+MusiXTeX format build
cat >$MUSIXTEXDIR/musixtex.ini <<!
\input plain
\input musixtex
\def\fmtname{musixtex}
\def\fmtversion{\mxversion}

\dump
!
#\everyjob=\expandafter{\the\everyjob
#   \message{Starting \fmtname, version \mxversion.
#}}

### force initex to use the .tfm and .tex from this package
TFMFONTS=$MUSIXTFMDIR:$TFMFONTS TEXINPUTS=$MUSIXTEXDIR:$TEXINPUTS initex $MUSIXTEXDIR/musixtex.ini
cp     musixtex.{fmt,log} $FMTDIR

# exit
### end of the installation script

